> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opnform.com/llms.txt
> Use this file to discover all available pages before exploring further.

# New Submission Trigger

> This endpoint is used to set up a webhook for new form submissions.



## OpenAPI

````yaml POST /external/zapier/webhook
openapi: 3.0.1
info:
  title: OpnForm API
  description: API for interacting with OpnForm, primarily used for Zapier integration
  version: 1.0.0
servers:
  - url: https://api.opnform.com
security:
  - bearerAuth: []
tags:
  - name: Workspaces
    description: Create and manage workspaces.
  - name: Workspace Users
    description: Manage users within a workspace.
  - name: Forms
    description: Manage and retrieve forms.
  - name: Submissions
    description: Access and manage form submissions.
  - name: Integrations
    description: Manage form integrations (webhooks) via API.
  - name: Zapier
    description: Legacy endpoints for the Zapier integration.
paths:
  /external/zapier/webhook:
    post:
      tags:
        - Zapier
      summary: New Submission Trigger
      description: This endpoint is used to set up a webhook for new form submissions.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                hookUrl:
                  type: string
                  description: The URL provided by Zapier to send the submission data
                form_id:
                  type: number
                  description: The ID of the form for which to trigger the webhook
              required:
                - hookUrl
                - form_id
      responses:
        '200':
          description: Webhook successfully set up
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Personal Access Token
      x-bearer-scopemap:
        workspaces-read: Read access to workspaces
        workspaces-write: Write access to workspaces
        workspace-users-read: Read access to workspace users
        workspace-users-write: Write access to workspace users
        forms-read: Read access to forms
        forms-write: Write access to forms
        manage-integrations: Manage form integrations (webhooks)

````